from model import *
from triangle import *
from setmask import *
from parameterize import *
from setflowequation import *
from EnumDefinitions import *
from solve import *
from MatlabFuncs import *
from ContourToMesh import *

md=triangle(model(),'../Exp/Square.exp',150000.)
md=setmask(md,'all','')
md=parameterize(md,'../Par/SquareShelf.py')
md.extrude(2,1.)
md=setflowequation(md,'FS','all')
md.flowequation.fe_FS='OneLayerP4z'
md.cluster=generic('name',oshostname(),'np',1)
md=solve(md,StressbalanceSolutionEnum())
